Subject: Re: bug#26347: patch for mwheel.el

From: Tak Kunihiro <[email-masked]>
Date: Tue, 4 Apr 2017 11:52:55 +0900

>>> During not only horizontal scroll but also vertical scroll,
>>> `auto-hscroll-mode' should be disabled by following three aspects.
>>> 
>>> (1) It should be off during horizontal scroll.  If it is on, scope
>>>   jumps randomly when point is at the edge.  Also, since
>>>   horizontal scroll does not move point, there will be
>>>   inconsistency between point and scope, and the inconsistency
>>>   will result in unexpected shift of the scope.
>>> 
>> We don't turn off auto-hscroll-mode when scrolling with the horizontal
>> or vertical scroll bars, and we don't have the problems you describe
>> in those cases.  Why is this case different?
> 
> I see your point in regard to (1).  Yes, if `mwheel-scroll’ can scroll right
> or left like horizontal-scroll-bar does, turing off auto-hscroll-mode is not
> necessary for case (1).  Give me time to understand code of horizontal-scroll-bar.

I see (1) is true for Emacs 25.1 on Mac and Emacs 24.5 on Windows 
but Emacs 25.1 on Windows.